Capture Decision
curl --request POST \
--url https://demo.rotavision.com/api/v1/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"client_ref": "<string>",
"model_identity": {},
"context": {},
"decision_chain": [
"<unknown>"
],
"action": {},
"policy_state": {},
"human_touchpoints": [
"<unknown>"
]
}
'import requests
url = "https://demo.rotavision.com/api/v1/decisions"
payload = {
"agent_id": "<string>",
"client_ref": "<string>",
"model_identity": {},
"context": {},
"decision_chain": ["<unknown>"],
"action": {},
"policy_state": {},
"human_touchpoints": ["<unknown>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
client_ref: '<string>',
model_identity: {},
context: {},
decision_chain: ['<unknown>'],
action: {},
policy_state: {},
human_touchpoints: ['<unknown>']
})
};
fetch('https://demo.rotavision.com/api/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenant_id": "<string>",
"agent_id": "<string>",
"seq": 123,
"client_ref": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"model_identity": {},
"context": {},
"decision_chain": [
"<unknown>"
],
"action": {},
"policy_state": {},
"human_touchpoints": [
"<unknown>"
],
"pii_manifest": {},
"prev_hash": "<string>",
"record_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}witness
Capture Decision
POST
/
api
/
v1
/
decisions
Capture Decision
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Body
application/json
Response
Successful Response
⌘I

